/////////////////////////////////////////////////////////////////////////////////////////
// File.......: ZTRAY.H
// Linguaggio.: C++, Win32, MS Visual C++ 6.0
// Descrizione: Dichiarazioni della classe ZTray per la gestione delle Tray Icon
// Autore.....: Lorenzo Novara
// Data.......: 10 gennaio  2001
// Revisione..: 27 gennaio  2001
//


#ifndef __ZTRAY_H__
#define __ZTRAY_H__

#include <Shellapi.h>

class ZTray
{
    NOTIFYICONDATA m_nid;
    BOOL m_Active;

public:
    ZTray(HWND hWnd, UINT uTrayIconID, UINT uCallbackMessage);
    ~ZTray();
    BOOL Show(PSTR pszTip, HICON hIcon);
    BOOL Show(PSTR pszTip, HINSTANCE hInstance, PSTR pszResourceName);
    BOOL Show(PSTR pszTip, HINSTANCE hInstance, UINT nIDResource);
    BOOL ChangeTip(PSTR pszTip);
    BOOL ChangeIcon(HICON hIcon);
    BOOL ChangeIcon(HINSTANCE hInstance, PSTR pszResourceName);
    BOOL ChangeIcon(HINSTANCE hInstance, UINT nIDResource);
    BOOL Hide();
};


#endif // __ZTRAY_H__