;***************************
;Name "Phatsoft JoyMouse"
;***************************
;--------------------------------
!define MUI_PRODUCT "Phatsoft JoyMouse" ;Define your own software name here
!define MUI_VERSION "2.1" ;Define your own software version here

!include "MUI.nsh"


!define MUI_LICENSEPAGE
!define MUI_COMPONENTSPAGE
!define MUI_DIRECTORYPAGE
  
!define MUI_ABORTWARNING
  
!define MUI_UNINSTALLER
!define MUI_UNCONFIRMPAGE

!insertmacro MUI_LANGUAGE "English"
;--------------------------------

!packhdr temp.dat "upx --best temp.dat"
;LicenseText "Do you accept all the terms of the License Agreement?"
LicenseData "help\gpl.txt"
SetOverWrite ifnewer
SetOverWrite on
XPStyle on
InstallColors /windows

;*************************************
OutFile "Setup\Install_JoyMouse21.exe"
;*************************************

InstallDir $PROGRAMFILES\JoyMouse
InstallDirRegKey HKEY_CURRENT_USER "Software\Phatsoft\JoyMouse "Install_Dir"
;ComponentText "This will install Phatsoft JoyMouse on your computer."
;DirText "Choose a directory to install in to:"

InstType "Typical"
InstType "No icons"

Section "-Application files"
SectionIn 1-2
SetOutPath $INSTDIR
WriteUninstaller "uninstall.exe"
File "release\JoyMouse.exe"
File "release\enabled.wav"
File "release\disabled.wav"
WriteRegStr HKEY_LOCAL_MACHINE SOFTWARE\Phatsoft\JoyMouse "Install_Dir" "$INSTDIR"
WriteRegStr HKEY_LOCAL_MACHINE "Software\Microsoft\Windows\CurrentVersion\Uninstall\JoyMouse" "DisplayName" "Phatsoft JoyMouse (remove only)"
WriteRegStr HKEY_LOCAL_MACHINE "Software\Microsoft\Windows\CurrentVersion\Uninstall\JoyMouse" "UninstallString" '"$INSTDIR\uninstall.exe"'
SectionEnd

Section "Documentation"
SectionIn 1-2
File "help\JoyMouse.chm"
SectionEnd

Section "Start menu icon"
SectionIn 1
CreateDirectory "$SMPROGRAMS\Phatsoft Joymouse"
SetOutPath $INSTDIR ; for working directory
CreateShortCut "$SMPROGRAMS\Phatsoft Joymouse\Phatsoft Joymouse.lnk" "$INSTDIR\joymouse.exe"
CreateShortCut "$SMPROGRAMS\Phatsoft Joymouse\Joymouse Documentation.lnk" "$INSTDIR\joymouse.chm"
CreateShortCut "$SMPROGRAMS\Phatsoft Joymouse\Phatsoft Web Site.lnk" "http://www.phatsoft.net"
SectionEnd

Section "Show installed files"
SectionIn 2
Exec "$WINDIR\explorer.exe $INSTDIR"
SectionEnd

; "This will uninstall Phatsoft JoyMouse. Hit next to continue."

Section "Uninstall"
DeleteRegKey HKEY_LOCAL_MACHINE "Software\Microsoft\Windows\CurrentVersion\Uninstall\JoyMouse"
DeleteRegKey HKEY_CURRENT_USER "SOFTWARE\Phatsoft\JoyMouse"

Delete "$SMPROGRAMS\Phatsoft Joymouse\Phatsoft Joymouse.lnk"
Delete "$SMPROGRAMS\Phatsoft Joymouse\Joymouse Documentation.lnk"
Delete "$SMPROGRAMS\Phatsoft Joymouse\Phatsoft Web Site.lnk"

Delete "$INSTDIR\JoyMouse.exe"
Delete "$INSTDIR\enabled.wav"
Delete "$INSTDIR\disabled.wav"
Delete "$INSTDIR\JoyMouse.chm"
Delete "$INSTDIR\uninstall.exe"
RMDir "$INSTDIR"
SectionEnd

; eof
